Bug 1366470 - sssd: throw away the timestamp cache if re-initializing the persistent cache
Summary: sssd: throw away the timestamp cache if re-initializing the persistent cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Steeve Goveas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 04:58 UTC by Sudhir Menon
Modified: 2020-05-02 18:26 UTC (History)
7 users (show)

Fixed In Version: sssd-1.14.0-30.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 07:20:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 4161 None None None 2020-05-02 18:26:20 UTC
Red Hat Product Errata RHEA-2016:2476 normal SHIPPED_LIVE sssd bug fix and enhancement update 2016-11-03 14:08:11 UTC

Description Sudhir Menon 2016-08-12 04:58:39 UTC
Cloning upstream ticket 

https://fedorahosted.org/sssd/ticket/3128

Comment 1 Sudhir Menon 2016-08-12 05:01:09 UTC
Issue was seen in RHEL7.3 with sssd-1.14.0-15.el7.x86_64

Comment 3 Jakub Hrozek 2016-08-12 07:07:43 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/3128

Comment 4 Jakub Hrozek 2016-08-26 13:23:03 UTC
master:
    * b6d1cd5eaab4c7c73df8ee041944ec05630a9630
    * 9023bf51de6c84337af024388f1860ac1051924c

Comment 6 Sudhir Menon 2016-09-14 13:58:07 UTC
Jakub,
Can you please provide the steps to verify this bug. Cannot recollect under which scenario this bug was seen in my test system.

Comment 7 Jakub Hrozek 2016-09-14 14:29:53 UTC
(In reply to Sudhir Menon from comment #6)
> Jakub,
> Can you please provide the steps to verify this bug. Cannot recollect under
> which scenario this bug was seen in my test system.

remove the main sysdb cache but leave the timestamp cache around.

Comment 8 Sudhir Menon 2016-09-15 09:56:23 UTC
Fix is seen.
Verified on RHEL7.3 using sssd-1.14.0-41.el7.x86_64

[root@master db]# ls -l
total 5344
-rw-------. 1 root root 1609728 Sep 15 15:05 cache_testrelm.test.ldb
-rw-------. 1 root root    3573 Sep 15 15:13 ccache_TESTRELM.TEST
-rw-------. 1 root root 1286144 Sep 15 14:53 config.ldb
-rw-------. 1 root root 1286144 Sep 15 14:53 sssd.ldb
-rw-------. 1 root root 1286144 Sep 15 15:05 timestamps_testrelm.test.ldb

[root@master db]# service sssd stop
Redirecting to /bin/systemctl stop  sssd.service

[root@master db]# rm -frv cache_testrelm.test.ldb cache_testrelm.test.ldb config.ldb sssd.ldb
removed ‘cache_testrelm.test.ldb’
removed ‘config.ldb’
removed ‘sssd.ldb’

[root@master db]# service sssd start
Redirecting to /bin/systemctl start  sssd.service

[root@master db]# ls -l
total 5028
-rw-------. 1 root root 1286144 Sep 15 15:17 cache_testrelm.test.ldb
-rw-------. 1 root root    2407 Sep 15 15:17 ccache_TESTRELM.TEST
-rw-------. 1 root root 1286144 Sep 15 15:17 config.ldb
-rw-------. 1 root root 1286144 Sep 15 15:17 sssd.ldb
-rw-------. 1 root root 1286144 Sep 15 15:17 timestamps_testrelm.test.ldb

Comment 10 errata-xmlrpc 2016-11-04 07:20:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2476.html


Note You need to log in before you can comment on or make changes to this bug.